/*
 * NATDet - program configuration
 * Copyright (c) M. Ulikowski <elceef@itsec.pl>
 *
 * You'll need to recompile NATDet to changes take effect.
*/


#define VERSION          "1.0.7"
/* NATDet version */

#define HOP_DIST         3
/* max difference betwen TTL in packets from the same host
   should be: 1 <= HOP_DIST <= 4 */

#ifndef WIN32
#define FP_DIR           "/usr/local/share/natdet"
#else
#define FP_DIR           "."
#endif
/* fingerprint database directory */

#define FP_DB            "signatures"
/* default fingerprint database filename */

#define SIG_LEN          64
/* signature (string) length */

#define MAX_SIGS         256
/* max numer of signatures in FP_DB */

#define LIFE_TIME        3600
/* NAT cache entries live time in seconds;
   after that time entry is reseted and filled with new data,
   however a source address is the same */

#define REP_THRESHOLD    5
/* treshold between masquerade report on the same machine;
   in percent - the value should be between 1 and 100 */

#define TSTAMP_DIFF      60000
/* difference between two timestamps to use TSTAMP factor;
   by default it's 60000 (10 minutes) */

#define NAT_CACHE        1024
/* max size of remembered different addresses for NAT detection
   shouln't be smaller than number of hosts in local network */

#define MIN_FACTORS      1
/* minimal number of used factors to report NAT (max. 5) */

#define MIN_PROB         50
/* minimal probability to report masquerade (0-100%)
   default value is 50% */

#define OS_LIMIT         8
/* limit of reported different systems in "evil" network */

#define PACKET_LEN       128
/* for libpcap, change carefully - might decrease performance;
   pcap default = 8192 */

